Requisitos de Sistema - 5.3 Execução de Aplicativos COMSOL

COMSOL applications can be run by connecting to COMSOL Server™ from a web browser or from the COMSOL Client for Windows®. The COMSOL Client for Windows® allows a user to run applications that require a LiveLink™ product for CAD. Running applications in a web browser does not require any installation and no web browser plugins are needed. Running an application in a web browser supports interactive graphics in 3D using WebGL™ technology.

Web Browsers

Recent versions of the most popular web browsers support the WebGL™ standard for 3D graphics and WebSockets. The table below lists the earliest version of each browser that supports WebGL™ and WebSockets, but we recommend always using the latest version of the browser for the best user experience.

Operating System Browser Recommended Version
Windows®/Linux®/macOS Chrome™ 31 or later
Windows® Internet Explorer® 11 or later
Windows® Microsoft Edge® 21 or later
Windows®/Linux®/macOS Firefox® 35 or later
macOS Safari 7.1 or later
iOS Safari 8.1 or later
Android™ Android™ Browser 37 or later
Android™ Chrome™ 40 or later

COMSOL Client for Windows®

Running COMSOL applications with the COMSOL Client for the Windows® operating system utilizes Microsoft® Windows® components. This gives simulation apps a look-and-feel similar to apps running in the COMSOL Desktop® environment. In addition, many of the LiveLink™ products for CAD software can be used with the COMSOL Client.

Supported Operating System Version
64-Bit Operating Systems
  • Windows® 10
  • Windows® 8.1
  • Windows® 8
  • Windows® 7
  • Windows Server® 2016
  • Windows Server® 2012 R2
  • Windows Server® 2012
  • Windows Server® 2008 R2
  • Windows HPC Server 2008 R2

The COMSOL Client also requires that the Internet Explorer® web browser has been updated to version 11 or later.

Interfacing Products

CAD Import Module and Design Module

Windows®

Windows® 7, Windows® 8.1, and Windows® 101,2,3

macOS

macOS 10.10, 10.11, and 10.121,2,3

Linux®

OS-specific system requirements only1,2,3

1File import of the NX™ file format up to version 11 is available only on a supported Windows® operating system. File import of the NX™ file format up to version 10 is available only on a supported Windows® or Linux® operating system.

2File import of the AutoCAD®, Inventor®, and SOLIDWORKS® file formats is available only on a supported Windows® operating system.

3File import of the ACIS® file format up to version 2017 1.0 is available only on a supported Windows® operating system or macOS. File import of the ACIS® file format up to version 2016 1.0 is available on all supported operating systems.

For a list of supported file formats for CAD file import and export, see the CAD Specification Chart.

LiveLink™ Products

The bidirectional interface functionality of the product suite detailed in the table below is only available for the Windows® 7, Windows® 8, Windows® 8.1, and Windows® 10 operating systems when run together with the COMSOL Client. For other included functionality, such as file import and geometric operations, see the CAD Import Module and Design Module table above.

LiveLink™ Compatible Software
LiveLink™ for AutoCAD® AutoCAD® 2016 and 2017
LiveLink™ for Inventor® Inventor® 2016 and 2017; and Inventor® Professional 2016 and 2017
LiveLink™ for PTC® Creo® Parametric™ PTC® Creo® Parametric™ 2.0 (at least M100), 3.0, and 4.0
LiveLink™ for PTC® Pro/ENGINEER® PTC® Pro/ENGINEER® Wildfire® 4.0 and 5.0, and PTC® Creo® Elements Pro 5.0
LiveLink™ for Revit® Revit® 2016 and 2017
LiveLink™ for Solid Edge® Solid Edge® ST8 and ST9
LiveLink™ for SOLIDWORKS® SOLIDWORKS® 2016 and 2017

File Import for CATIA® V5

The File Import for CATIA® V5 add-on to the CAD Import Module, Design Module, and LiveLink™ products for CAD is only available for Windows® 7, Windows® 8.1, and Windows® 10.

LiveLink™ for Excel®

LiveLink™ for Excel® is compatible with Excel® 2010, 2013, and 2016 on Windows®. Excel® 2010 Starter is not supported.

LiveLink™ for MATLAB®

LiveLink™ for MATLAB® is compatible with MATLAB® R2016b and R2017a on all operating systems. For Linux® operating system, the programs xterm and csh are required. To interface with MATLAB® functions, the COMSOL app needs to be run in a web browser, while the MATLAB® and COMSOL Server™ programs need to be installed on the same physical computer.

NOTA: Esta informação é disponibilizada para o seu benefício e não deve substituir sua própria investigação sobre os requisitos de sistema que podem ser apropriados para seu uso do software COMSOL® ou outro software, dadas suas circunstâncias particulares. Sistemas e hardware mudam regularmente, o que pode impactar em qualquer determinação de quais requisitos de sistema são apropriados para você.